API

Electronic Media Search Direct API

The AI-powered Broadcast Media Monitor provides 360° Global Media Data & Intelligence on Television networks, radio stations, broadcast channels, and audiovisual news producers.

Documentation API Version: 1.0.0 4 Endpoints Authentification
Broadcast Media Monitor

URL de base

https://pressmonitor.co.in/api

Authentification

Toutes les requetes necessitent les en-tetes x-api-key et x-subscription-id. x-api-key authentifie votre compte ; x-subscription-id selectionne le service souscrit.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Headlines

Paramètres

Nom Type Emplacement Obligatoire Description
keywords_text string query Oui Parametre keywords text
lang_code string query Non Parametre langue code
country_code string query Non Parametre pays code
count integer query Non Parametre nombre
cursor string query Non Parametre curseur
sort string query Non Sort order (date or relevance)
date_from string query Non Start date for news (YYYY-MM-DD format)
date_to string query Non End date for news (YYYY-MM-DD format)

Exemples de code

curl -X GET \
  "https://pressmonitor.co.in/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succes
GET /briefs

Briefs

Paramètres

Nom Type Emplacement Obligatoire Description
keywords_text string query Oui Parametre keywords text
lang_code string query Non Parametre langue code
country_code string query Non Parametre pays code
count integer query Non Parametre nombre
cursor string query Non Parametre curseur
sort string query Non Sort order (date or relevance)
date_from string query Non Start date for news (YYYY-MM-DD format)
date_to string query Non End date for news (YYYY-MM-DD format)

Exemples de code

curl -X GET \
  "https://pressmonitor.co.in/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succes
GET /fulltext

Fulltext

Paramètres

Nom Type Emplacement Obligatoire Description
keywords_text string query Oui Parametre keywords text
lang_code string query Non Parametre langue code
country_code string query Non Parametre pays code
count integer query Non Parametre nombre
cursor string query Non Parametre curseur
sort string query Non Sort order (date or relevance)
date_from string query Non Start date for news (YYYY-MM-DD format)
date_to string query Non End date for news (YYYY-MM-DD format)

Exemples de code

curl -X GET \
  "https://pressmonitor.co.in/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succes
GET /clip

Clip

Paramètres

Nom Type Emplacement Obligatoire Description
id string query Oui Clip/article ID to resolve
date string query Oui Date of the clip (YYYY-MM-DD)
ns string query Non Namespace prefix for multi-tenant index resolution
host string query Non Host name for tenant resolution
ttl integer query Non Signed URL time-to-live in seconds

Exemples de code

curl -X GET \
  "https://pressmonitor.co.in/api/clip?id=VALUE&date=VALUE&ns=VALUE&host=VALUE&ttl=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succes